Subject: Re: pine compile problem

From: [email-masked]
Date: Mon, 24 Jan 1994 15:09:51 -0800 (PST)

Hi! Everyone:

I got a compile problem here.  I tried to compile pine3.89 on AIX 2.2, but
it didn't work.  Some one told me that I have to change cc to bsdcc in
order to compile the proram.  Then I changed cc to bsdcc in the build
script.  That made me have pico only and some warnings.  Afterwards he
said I have to add the command of -D and change the compiler variables to 
-D_NONSTD_TYPES and -D_NO_PROTO.  What I should change in build script?  

Thanks for your help.

Forwarded message:

> > > > > Try using the command bsdcc it relaxes the compiler. Or look in the file
> > > > > /etc/cc.cft for -D flags to use.
> > > > > IBM has used the HCR compiler exclusively for the 370/390 series
> > > > > machines for the past 5 or 6 years certanly since the devlopment of
> > > > > AIX/ESA began.
> > > > > 
> > > > > Your problem comes from loose usage of types, and differences between the
> > > > > official (OSF/POSIX) deffinitions of some things and the other 'standard'
> > > > > definitions of same.
> > > 
> > > Change the compiler specification to be bsdcc (from cc). -D is used to
> > > define things to the c compiler. Turning on ome of the flags disables
> > > some of the more strict type checking (there is type checking and type checking
> > > HCR compilers are notorious for being real picky).
> 
> The -D command to the compiler is used to define various compiler variables,
> the ones that are of interest are:
> -D_NONSTD_TYPES
>    Turns on some nonstandard typing
> -D_NO_PROTO
>    Inhibits funcion prototyping from the system include files.
> 
> In general it is very difficult to compile a complex program when you don't
> understand the compiler and system that your are working on.  You should
> seek help from a knowledgable classmate.
> 
>